Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice
Class Continuation.ErrorContinuation<R,E extends java.lang.Exception>

    java.lang.Object
      rice.Continuation.ErrorContinuation<R,E>

All Implemented Interfaces:
  Continuation<R,E>

Enclosing interface:
  Continuation<R,E extends java.lang.Exception>

    public abstract static class Continuation.ErrorContinuation<R,E extends java.lang.Exception>

extends java.lang.Object
implements Continuation<R,E>

This class is a Continuation provided for simplicity which passes any results up to the parent Continuation which it is constructed with. Subclasses should implement the receiveException() method with the appropriate behavior.

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuationRunnable<R,E extends java.lang.Exception>, Continuation.ExternalRunnable, Continuation.ListenerContinuation<R,E extends java.lang.Exception>, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation<R,E extends java.lang.Exception>`

Field Summary
`protected Continuation<R,E>` | `parent` The parent continuation

Constructor Summary
`Continuation.ErrorContinuation(Continuation<R,E> continuation)` Constructor which takes in the parent continuation for this continuation.

Method Summary
`void` | `receiveResult(R result)` Called when an the result is available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.Continuation
`receiveException`

Field Detail

### parent

    protected Continuation<R,E extends java.lang.Exception> parent

  The parent continuation

Constructor Detail

### Continuation.ErrorContinuation

    public Continuation.ErrorContinuation(Continuation<R,E> continuation)

  Constructor which takes in the parent continuation for this continuation.

  Parameters:
    `continuation` - The parent of this continuation

Method Detail

### receiveResult

    public void receiveResult(R result)

  Called when an the result is available. Simply passes the result to the parent;

  Specified by:
    `receiveResult` in interface `Continuation<R,E extends java.lang.Exception>`
  Parameters:
    `result` - The result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.